GLUT-2.4.0.0: A binding for the OpenGL Utility Toolkit

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.UI.GLUT.Types

Description

This is a purely internal module with miscellaneous types which don't really have a good place elsewhere.

Synopsis

- newtype Window = Window CInt
- data Relation
  - = IsEqualTo
  - | IsNotEqualTo
  - | IsLessThan
  - | IsNotGreaterThan
  - | IsGreaterThan
  - | IsAtLeast
  - | IsNotLessThan
- relationToString :: Relation -> String
- data MouseButton
  - = LeftButton
  - | MiddleButton
  - | RightButton
  - | WheelUp
  - | WheelDown
  - | AdditionalButton Int
- marshalMouseButton :: MouseButton -> CInt
- unmarshalMouseButton :: CInt -> MouseButton

# Documentation

newtype Window

An opaque identifier for a top-level window or a subwindow.

Constructors

Window CInt |

Instances

Eq Window |
Ord Window |
Show Window |

data Relation

A relation between a `DisplayCapability` and a numeric value.

Constructors

IsEqualTo | Equal.
IsNotEqualTo | Not equal.
IsLessThan | Less than and preferring larger difference (the least is best).
IsNotGreaterThan | Less than or equal and preferring larger difference (the least is best).
IsGreaterThan | Greater than and preferring larger differences (the most is best).
IsAtLeast | Greater than or equal and preferring more instead of less. This relation is useful for allocating resources like color precision or depth buffer precision where the maximum precision is generally preferred. Contrast with `IsNotLessThan` relation.
IsNotLessThan | Greater than or equal but preferring less instead of more. This relation is useful for allocating resources such as stencil bits or auxillary color buffers where you would rather not over-allocate.

Instances

Eq Relation |
Ord Relation |
Show Relation |

relationToString :: Relation -> String

data MouseButton

Mouse buttons, including a wheel

Constructors

LeftButton |
MiddleButton |
RightButton |
WheelUp |
WheelDown |
AdditionalButton Int |

Instances

Eq MouseButton |
Ord MouseButton |
Show MouseButton |

marshalMouseButton :: MouseButton -> CInt

unmarshalMouseButton :: CInt -> MouseButton